Skip to main content
GET
/
api
/
v2
/
customers
cURL
curl --request GET \
  --url https://take.app/api/v2/customers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "email": "jsmith@example.com",
      "phone": "<string>",
      "address": {
        "address1": "<string>",
        "address2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "zip": "<string>",
        "country": "<string>",
        "latitude": 123,
        "longitude": 123
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://platform.take.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Merchant API V2 token. Pass as Authorization: Bearer <token>.

Query Parameters

limit
integer
Required range: 1 <= x <= 100
cursor
string
updated_after
string<date-time>

Response

List of customers

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
next_cursor
string | null
required